%define gettext_package gnome-panel-2.0

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        GNOME menu / applet system hooks.
Name:      	gnome-panel
Version:   	2.22.1
Release:   	1
License: 	LGPL
Group:     	Graphical Desktop/GNOME/Base
URL: 		http://www.gnome.org
Source0: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-panel/%{name}-%{version}.tar.bz2
Source3: 	ccux-panel-default-setup.entries
Source4: 	gnome-compiler-flags.m4
Source6: 	add-translations.sh
Patch1: 	gnome-panel-2.10.1-speak-to-us-ye-old-wise-fish.patch
Patch4: 	gnome-panel-2.16.1-search.patch
Patch7: 	gnome-panel-2.21.92-about-this-computer.patch
# the next three patches belong together
# http://bugzilla.gnome.org/show_bug.cgi?id=470966
Patch8: 	launcher-desktop-files.patch
Patch9: 	desktop-file-monitoring.patch
Patch10: 	preferred-apps.patch
# don't pop up an error dialog if an applet from the 
# default configuration is missing; we don't want to
# add a hard dependency on e.g. tomboy 
Patch11: 	applet-error.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=511881
Patch14: 	gnome-panel-2.21.5-ck-shutdown.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=520111
Patch24: 	gnome-panel-2.21.92-allow-spurious-view-done-signals.patch
#Patch25: 	current.patch
Patch26: 	expose.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	gnome-desktop
Requires: 	libwnck
Requires: 	gnome-menus
Requires: 	evolution-data-server

Prereq: 	/bin/awk /bin/cat /bin/ln /bin/rm
Prereq: 	GConf >= 2.16.0-4
Prereq: 	scrollkeeper
Prereq: 	gtk2+
Requires(post): GConf >= 2.16.0-4
Requires(post): scrollkeeper
Requires(post): hicolor-icon-theme
Requires(pre): GConf >= 2.16.0-4
Requires(preun): GConf >= 2.16.0-4
Requires(postun): scrollkeeper

BuildRequires: 	which
BuildRequires: 	libxml2
BuildRequires: 	intltool
BuildRequires: 	gettext
BuildRequires: 	automake
BuildRequires: 	autoconf
BuildRequires: 	scrollkeeper
BuildRequires: 	libxslt
BuildRequires: 	libX11-devel
BuildRequires: 	libXt-devel
BuildRequires: 	gtk2+-devel
BuildRequires: 	libglade-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	gnome-desktop-devel
BuildRequires: 	libwnck-devel
BuildRequires: 	libbonobo-devel
BuildRequires: 	libbonoboui-devel
BuildRequires: 	gnome-vfs-devel
BuildRequires: 	gnome-menus-devel
BuildRequires: 	gnome-doc-utils
BuildRequires: 	gtk-doc
BuildRequires: 	evolution-data-server-devel
BuildRequires: 	ORBit2-devel
BuildRequires: 	dbus-devel libgweather-devel
BuildRequires:	NetworkManager-devel

%description
The GNOME panel provides the window list, workspace switcher, menus, and other 
features for the GNOME desktop.

%package libs
Summary: 	Libraries for Panel Applets
License: 	LGPLv2+
Group: 		Development/Libraries

%description libs
This package contains the libpanel-applet library that
is needed by Panel Applets. 

%package devel
Summary: 	Headers and libraries for Panel Applet development
Group: 		Development/Libraries
Requires: 	%{name} = %{version}
Requires: 	gtk2+-devel
Requires: 	libbonoboui-devel
Requires: 	libgnomeui-devel
Requires: 	pkg-config

%description devel
Panel Applet development package. Contains files needed for developing
Panel Applets using the libpanel-applet library.

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`

#
# Clear out the old defaults
#
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /apps/panel > /dev/null || :
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /schemas/apps/panel > /dev/null || :

#
# Install the schemas
#
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gnome/gconf/schemas/clock.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/fish.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/pager.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-general.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-global.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-object.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-toplevel.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/tasklist.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/window-list.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/workspace-switcher.schemas \
  > /dev/null || :

#
# Install the default setup into /apps/panel and /apps/panel/default_setup
#
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gnome/gconf/schemas/panel-default-setup.entries > /dev/null || :
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gnome/gconf/schemas/panel-default-setup.entries /apps/panel > /dev/null || :

/sbin/ldconfig

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/clock.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/fish.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/pager.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-general.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-global.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-object.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-toplevel.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/tasklist.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/window-list.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/workspace-switcher.schemas \
  > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/clock.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/fish.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/pager.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-general.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-global.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-object.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/panel-toplevel.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/tasklist.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/window-list.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/workspace-switcher.schemas \
  > /dev/null || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%prep
%setup -q

%patch1 -p1 -b .speak-to-us-ye-old-wise-fish
%patch4 -p1 -b .search
#%patch7 -p1 -b .about-this-computer
%patch8 -p1 -b .launcher-desktop-files
%patch9 -p1 -b .desktop-file-monitoring
%patch10 -p1 -b .preferred-apps
%patch11 -p1 -b .applet-error
%patch14 -p1 -b .ck-shutdown
%patch24 -p1 -b .allow-spurious-view-done-signals
#%patch25 -p1 -b .current
#%patch26 -p1 -b .expose

. %{SOURCE6}

cp -f %{SOURCE3} gnome-panel/panel-default-setup.entries
cp -f %{SOURCE4} m4

%build
aclocal -I m4
automake --add-missing
autoheader
autoconf

%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib --libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/gnome-panel \
   --disable-gtk-doc \
   --disable-scrollkeeper \
   --enable-eds=yes

make CFLAGS="$RPM_CFLAGS -DGWEATHER_I_KNOW_THIS_IS_UNSTABLE"

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

#
# Create pager and tasklist schemas for compatibility with older
# configurations which reference the old schema names
#
sed -e 's|/schemas/apps/window_list_applet/prefs/|/schemas/apps/tasklist_applet/prefs/|' $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gconf/schemas/window-list.schemas > $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gconf/schemas/tasklist.schemas
sed -e 's|/schemas/apps/workspace_switcher_applet/prefs/|/schemas/apps/pager_applet/prefs/|; s|<default>1</default>|<default>2</default>|' $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gconf/schemas/workspace-switcher.schemas > $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gconf/schemas/pager.schemas

## blow away stuff we don't want
/bin/rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

# clean up help mess
/bin/mv -f $RPM_BUILD_ROOT/usr/share/omf/gnome-panel/workspace-switcher*.omf \
           $RPM_BUILD_ROOT/usr/share/omf/workspace-switcher
/bin/mv -f $RPM_BUILD_ROOT/usr/share/omf/gnome-panel/window-list*.omf \
           $RPM_BUILD_ROOT/usr/share/omf/window-list
/bin/mv -f $RPM_BUILD_ROOT/usr/share/omf/gnome-panel/fish*.omf \
           $RPM_BUILD_ROOT/usr/share/omf/fish
/bin/rmdir $RPM_BUILD_ROOT/usr/share/omf/gnome-panel

mv -f $RPM_BUILD_ROOT%_sysconfdir/gnome/dbus-1 $RPM_BUILD_ROOT%_sysconfdir

sed -i -e "s/NoDisplay=True/NoDisplay=true/" $RPM_BUILD_ROOT%{_datadir}/applications/gnome-panel.desktop

%find_lang %{gettext_package} --all-name --with-gnome

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/24x24/apps/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/applications
%{_datadir}/gnome-panel
%{_datadir}/gnome/help/*
%exclude %{_datadir}/gnome-panelrc
%{_datadir}/idl/gnome-panel-2.0
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/omf/clock
%{_datadir}/omf/fish
%{_datadir}/omf/window-list
%{_datadir}/omf/workspace-switcher
%{_datadir}/man/man*/*
%{_bindir}/*
%{_libdir}/gnome-panel/*
%{_libdir}/bonobo/servers/*.server
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_sysconfdir}/gnome/gconf/schemas/*.entries

#%{_sysconfdir}/dbus-1/system.d/org.gnome.ClockApplet.Mechanism.conf
#%{_datadir}/dbus-1/system-services/org.gnome.ClockApplet.Mechanism.service
#%{_datadir}/PolicyKit/policy/gnome-clock-applet-mechanism.policy

%files libs
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*
%{_includedir}/panel-2.0
%{_libdir}/*.so
%{_datadir}/gtk-doc
%{_libdir}/libpanel-applet-2.*a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-4
- bugfix in post scriplet
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-3
- cleanup
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-2
- rebuild against evolution-data-server 2.22.0
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-6
- bugfix
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-5
- Gnome 2.20.1.1
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-4
- removed outdated schema file
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-3
- bug again...
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-2
- bugfix in schema install
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0.1-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
- fixed search patch for beagle, removed switch user patch
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Sun Nov 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-5
- readded some patches, cleaned out specfile
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-4
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- removed some patches
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.91-1
- Initial Release